Package wx :: Class IconizeEvent

[frames | no frames]

## Type IconizeEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    IconizeEvent

An EVT_ICONIZE event is sent when a frame is iconized (minimized) or restored.

Method Summary
IconizeEvent | ``__init__`(self, id, iconized)` An EVT_ICONIZE event is sent when a frame is iconized (minimized) or restored.
bool | ``Iconized`(self)` Returns `True` if the frame has been iconized, `False` if it has been restored.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, id=0, iconized=True)
(Constructor)

An EVT_ICONIZE event is sent when a frame is iconized (minimized) or restored.

  Parameters:
    `id`
    (type=int)

    `iconized`
    (type=bool)

  Returns:
    IconizeEvent
  Overrides:
    `wx.Event.__init__`

### Iconized(self)

Returns `True` if the frame has been iconized, `False` if it has been restored.

  Returns:
    bool

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:39 2007 | http://epydoc.sf.net